Skip to main content
GET
Compare Branches

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org_id
string
required
node_id
string
required
source_branch
string
required
target_branch
string
required

Response

Successful Response

Response model for branch comparison.

source_branch
string
required

Source branch name

target_branch
string
required

Target branch name

source_commit
string
required

Source branch HEAD commit

target_commit
string
required

Target branch HEAD commit

can_merge
boolean
required

Whether branches can be merged via fast-forward

commits_ahead
integer
required

Number of commits source is ahead of target

commits_behind
integer
required

Number of commits source is behind target

merge_reason
string | null

Reason if merge is not possible

has_conflicts
boolean
default:false

Whether merge would have conflicts

comparison
Comparison · object

Additional comparison data